Summary: Compatibility libraries for Open Motif 2.1.
Name: openmotif21
Version: 2.1.30
Release: 11.FC3.1
License: Open Group Public License
Group: System Environment/Libraries
Source: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/tars/openmotif%{version}.tar.bz2
URL: http://www.opengroup.org/openmotif/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch0: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch1
Patch1: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch2
Patch2: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch3
Patch3: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch4
Patch4: ftp://openmotif.opengroup.org/pub/openmotif/R2.1.30/fixes/patch5 
Patch10: openmotif2.1.30-demos.patch
Patch11: openmotif2.1.30-debug.patch
Patch12: openmotif2.1.30-ia64.patch
Patch13: openmotif2.1.30-imake.patch
Patch14: openmotif2.1.30-s390.patch
Patch15: salevin.patch
Patch16: largefile.patch
Patch17: openmotif-2.2.2-maxlinelen.patch
Patch18: openmotif21-2.1.30-popup_timeout.patch
Patch19: openmotif21-2.1.30-locale.patch
Patch20: openmotif2.1.30-CAN-2004-0687-0688.patch
Patch21: openmotif2.1.30-CAN-2004-0914.patch
Patch22: openmotif2.1.30-tmpnam.patch
Prefix: /usr/X11R6
Conflicts: openmotif < 2.2.2
ExclusiveArch: i386 alpha ia64
BuildRequires: xorg-x11-devel
BuildRequires: xorg-x11-deprecated-libs-devel

%description
This package contains the compatibility libraries for running Open Motif 2.1
applications.

%prep
%setup -q -n motif
%patch0 -p1 -b .pl1
%patch1 -p1 -b .pl2
%patch2 -p1 -b .pl3
%patch3 -p1 -b .pl4
%patch4 -p1 -b .pl5
%patch10 -p1 -b .demos
%patch11 -p1 -b .debug
%patch12 -p1 -b .ia64
%patch13 -p1 -b .imake
%patch14 -p1 -b .s390
%patch15 -p1 -b .display
%patch16 -p1 -b .largefile
%patch17 -p1 -b .maxlinelen
%patch18 -p1 -b .popup_timeout
%patch19 -p1 -b .locale
%patch20 -p1 -b .CAN-2004-0687-0688
%patch21 -p1 -b .CAN-2004-0914
%patch22 -p1 -b .tmpnam

%build
mkdir -p imports/x11
ln -s /usr/X11R6/bin imports/x11
ln -s /usr/X11R6/include imports/x11
ln -s /usr/X11R6/lib imports/x11
make BOOTSTRAPCFLAGS="$RPM_OPT_FLAGS" World

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install install.man

rm -rf $RPM_BUILD_ROOT/usr/X11R6/{bin,include,lib/X11,lib/*.a,man}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/lib/lib*.so.*

%changelog
* Wed Nov 24 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-11.FC3.1
- latest Xpm patches: CAN-2004-0914 (#134631)
- fixed CAN-2004-0687 (integer overflows) and CAN-2004-0688 (stack overflows)
  in embedded Xpm library (#134631)
- new patch for tmpnam in imake (only used for build)

* Wed Sep  1 2004 Thomas Woerner <twoerner@redhat.com> 2.1.30-11
- rebuild for fc3
- fixed popup menus fail on Tarantella/VNC (#123027)

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Dec 02 2002 Elliot Lee <sopwith@redhat.com> 2.1.30-7
- Remove unpackaged files

* Mon Aug 27 2002 Than Ngo <than@redhat.com> 2.1.30-6
- Fixed a segmentation fault in mkcatdefs (bug #71955)

* Sun Aug 25 2002 Than Ngo <than@redhat.com> 2.1.30-5
- Rename spec to avoid conflict with openmotif-2.2 (bug #72492)
- Add buildRequires compat-gcc-7.3

* Tue Jul 23 2002 Tim Powers <timp@redhat.com>
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Than Ngo <than@redhat.com>
- turn it into a compat package

* Fri Jan 25 2002 Tim Powers <timp@redhat.com>
- don't obsolete lesstif anymore, play nicely together
- rebuild against new toolchain

* Wed Jan 21 2002 Than Ngo <than@redhat.com> 2.1.30-11
- add some patches from Darrell Commander (supporting largefile)
- fix to build on s390

* Thu Jan 17 2002 Than Ngo <than@redhat.com> 2.1.30-10
- rebuild in 8.0

* Wed Sep  6 2001 Than Ngo <than@redhat.com>
- rebuild for ExtraBinge 7.2

* Thu May 03 2001 Than Ngo <than@redhat.com>
- add 3 official motif patches 
- add rm -rf $RPM_BUILD_ROOT in install section
- remove some old patches which are now in official patches

* Fri Dec 29 2000 Than Ngo <than@redhat.com>
- don't build static debug libraries

* Mon Dec 18 2000 Than Ngo <than@redhat.com>
- bzip2 source

* Mon Jul 24 2000 Than Ngo <than@redhat.de>
- rebuilt against gcc-2.96-44

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- rebuilt

* Sun Jun 11 2000 Than Ngo <than@redhat.de>
- fix imake to built with gcc-2.96 (thanks Jakup)
- put bitmaps in /usr/X11R6/include/X11/bitmaps
- put bindings in /usr/X11R6/lib/Xm/bindings
- add define -D_GNU_SOURCE to build Motif
- gzip man pages
- cleanup specfile

* Mon May 29 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to patchlevel 2
- remove bindings patch, it's included in pl2

* Tue May 16 2000 Matt Wilson <msw@redhat.com>
- use -fPIC on sparc
- fixed Ngo's "fixes"

* Mon May 15 2000 Ngo Than <than@redhat.de>
- added description.
- fixed spec, added uil stuff.

* Mon May 15 2000 Matt Wilson <msw@redhat.com>
- initialization of spec file.
